$id: "https://myome.com/schemas/v1/Workflow.json"
$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Workflow"
type: "object"

properties:
  workflow_id:
    $ref: '../ids.json#/definitions/WorkflowId'
  repo_url:
    type: string
    examples:
      - https://github.com/myome/nf_fastq_to_bam
  flow_name:
    type: string
    examples:
      - nf_fastq_to_bam
  version:
    type: string
    examples:
      - 0.1.2
  input_schema:
    type: object
    examples:
      - properties:
          fastq_r1_uri:
            type: string
            pattern: "^.*R1.fq.gz$"
          fastq_r2_uri:
            type: string
            pattern: "^.*R2.fq.gz$"
        required: 
          - fastq_r1_uri
          - fastq_r2_uri
  output_schema:
    type: object
    examples:
      - properties:
          bam_uri:
            type: string
            pattern: "^.*bam$"
        required: 
          - bam_uri
required:
  - repo_url
  - version
  - input_schema
  - output_schema
